Summary:	Frontend to libpar2 
Name:		gpar2
Version:	0.3
Release:	%mkrel 4
License:	GPL v2+
Group:		Archiving/Other
Source0:	http://dl.sourceforge.net/parchive/%{name}-%{version}.tar.gz
Source1:	gpar2.desktop
#Fedora----------------------------------
Patch1: 	gpar2-0.3-buildfix.patch
Patch2: 	gpar2-0.3-linkfix.patch
#---------------------------------------
URL:		http://sourceforge.net/projects/parchive/
Requires:	libpar2 par2cmdline libgtkmm2.4_1
BuildRequires:	automake libpar2
BuildRequires:	libsigc++2.0_0-devel libpar2-devel libgtkmm2.4-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}
Requires:	gnome-desktop

%description
Gpar2 is a graphical frontend to libpar2. A program for creating and using PAR2 files to detect
damage in data files and repair them if necessary. It can be used with any kind of file.


%prep
%setup -q
%patch1 -p1 -b .buildfix
%patch2 -p1 -b .linkfix
rm -f po/*.gmo po/*.pot

%build
%configure2_5x
make
pushd ./po
	make update-gmo
popd


%install
rm -rf $RPM_BUILD_ROOT

%make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 %SOURCE1 %{buildroot}%{_datadir}/applications


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%{_bindir}/gpar2
%{_datadir}/locale/fr/LC_MESSAGES/gpar2.mo
%{_datadir}/applications/%{name}.desktop


%changelog
* Tue May 11 2010 Texstar <texstar at gmail.com> 0.3-4pclos2010
- requires gnome-desktop due to glib error for missing icon

* Fri Apr 30 2010 Texstar <texstar at gmail.com> 0.3-3pclos2010
- fix build for 2010 release



